-- Send char to random position
registerActionPart('SENDCHARTORNDPOS', {
  isif = false,
  link1 = { text = 'CHAR', use = true, control = 1 },
  link2 = { text = '', use = false, control = 1 },
  integers = { use = 3, useint3 = true, pointlabel = '', pointdialog = 0 },
  integer1 = { text = 'MAXDIST_X', control = 0, min = 0, max = 10000, val = 300, options = {} },
  integer2 = { text = 'MAXDIST_Y', control = 0, min = 0, max = 10000, val = 100, options = {} },
  integer3 = { text = 'WAIT', control = 2, min = 0, max = 1, val = 1, options = {} },
  path = { text = '', use = false, filter = 0 },
  string = { text = '', use = 0 },
  link1filter = { '\\eCharacters' },
  link2filter = {},
  stringfilter = {}
})

-- Send char near position
registerActionPart('SENDCHARNEARPOS', {
  isif = false,
  link1 = { text = 'CHAR', use = true, control = 1 },
  link2 = { text = '', use = false, control = 1 },
  integers = { use = 1, useint3 = true, pointlabel = 'TARGET_POSITION', pointdialog = 0 },
  integer1 = { text = '', control = 0, min = 0, max = 0, val = 0, options = {} },
  integer2 = { text = '', control = 0, min = 0, max = 0, val = 0, options = {} },
  integer3 = { text = 'DISTANCE', control = 0, min = 0, max = 10000, val = 200, options = {} },
  path = { text = '', use = false, filter = 0 },
  string = { text = '', use = 0 },
  link1filter = { '\\eCharacters' },
  link2filter = {},
  stringfilter = {}
})

-- Send char near object or character
registerActionPart('SENDCHARNEAROBJ', {
  isif = false,
  link1 = { text = 'CHAR', use = true, control = 1 },
  link2 = { text = 'TARGET', use = true, control = 0 },
  integers = { use = 2, useint3 = true, pointlabel = '', pointdialog = 0 },
  integer1 = { text = 'DISTANCE', control = 0, min = 0, max = 10000, val = 200, options = {} },
  integer2 = { text = '', control = 0, min = 0, max = 0, val = 0, options = {} },
  integer3 = { text = 'WAIT', control = 2, min = 0, max = 1, val = 1, options = {} },
  path = { text = '', use = false, filter = 0 },
  string = { text = '', use = 0 },
  link1filter = { '\\eCharacters' },
  link2filter = { '\\eScenes\\VSceneObjects\\eObjects' },
  stringfilter = {}
})

-- Send char near object or character
registerActionPart('SENDCHARNEARCHAR', {
  isif = false,
  link1 = { text = 'CHAR', use = true, control = 1 },
  link2 = { text = 'TARGET', use = true, control = 1 },
  integers = { use = 2, useint3 = true, pointlabel = '', pointdialog = 0 },
  integer1 = { text = 'DISTANCE', control = 0, min = 0, max = 10000, val = 200, options = {} },
  integer2 = { text = '', control = 0, min = 0, max = 0, val = 0, options = {} },
  integer3 = { text = 'WAIT', control = 2, min = 0, max = 1, val = 1, options = {} },
  path = { text = '', use = false, filter = 0 },
  string = { text = '', use = 0 },
  link1filter = { '\\eCharacters' },
  link2filter = { '\\eCharacters' },
  stringfilter = {}
})

-- Send char near object or character
registerActionPart('SENDCHARRELTOCHAR', {
  isif = false,
  link1 = { text = 'CHAR', use = true, control = 1 },
  link2 = { text = 'TARGET', use = true, control = 1 },
  integers = { use = 3, useint3 = true, pointlabel = '', pointdialog = 0 },
  integer1 = { text = 'OFFSET_X', control = 0, min = -10000, max = 10000, val = -200, options = {} },
  integer2 = { text = 'OFFSET_Y', control = 0, min = -10000, max = 10000, val = -50, options = {} },
  integer3 = { text = 'WAIT', control = 2, min = 0, max = 1, val = 1, options = {} },
  path = { text = '', use = false, filter = 0 },
  string = { text = '', use = 0 },
  link1filter = { '\\eCharacters' },
  link2filter = { '\\eCharacters' },
  stringfilter = {}
})

-- Send char near object or character
registerActionPart('SENDCHARRELTOOBJ', {
  isif = false,
  link1 = { text = 'CHAR', use = true, control = 1 },
  link2 = { text = 'TARGET', use = true, control = 0 },
  integers = { use = 3, useint3 = true, pointlabel = '', pointdialog = 0 },
  integer1 = { text = 'OFFSET_X', control = 0, min = -10000, max = 10000, val = -200, options = {} },
  integer2 = { text = 'OFFSET_Y', control = 0, min = -10000, max = 10000, val = -50, options = {} },
  integer3 = { text = 'WAIT', control = 2, min = 0, max = 1, val = 1, options = {} },
  path = { text = '', use = false, filter = 0 },
  string = { text = '', use = 0 },
  link1filter = { '\\eCharacters' },
  link2filter = { '\\eScenes\\VSceneObjects\\eObjects' },
  stringfilter = {}
})


-- 1 = German translations
translation(1, 'SENDCHARTORNDPOS', 'Character an zufällige Position schicken')
translation(1, 'SENDCHARTORNDPOS_Name', "Schicke '%link1' auf zufällige Position {if %int3 == 1 then return 'and wait' else return ' ' end}")
translation(1, 'CHAR', "Character")
translation(1, 'MAXDIST_X', "Max. Entfernung X")
translation(1, 'MAXDIST_Y', "Max. Entfernung Y")
translation(1, 'WAIT', "Warten bis Character Ziel erreicht hat")

translation(1, 'SENDCHARNEARPOS', 'Character nahe an Position schicken')
translation(1, 'SENDCHARNEARPOS_Name', "Schicke '%link1' bis auf %int3 nach (%int1,%int2)")
translation(1, 'TARGET_POSITION', "Position")
translation(1, 'DISTANCE', "Entfernung")

translation(1, 'SENDCHARNEAROBJ', 'Character nahe an Object schicken')
translation(1, 'SENDCHARNEAROBJ_Name', "Schicke '%link1' bis auf %int1 nach '%link2' {if %int3 == 1 then return 'und warte' else return ' ' end}")
translation(1, 'TARGET', "Ziel")

translation(1, 'SENDCHARNEARCHAR', 'Character nahe an Character schicken')
translation(1, 'SENDCHARNEARCHAR_Name', "Schicke '%link1' bis auf %int1 nach '%link2' {if %int3 == 1 then return 'und warte' else return ' ' end}")

translation(1, 'SENDCHARRELTOCHAR', 'Character relativ zu Character schicken')
translation(1, 'SENDCHARRELTOCHAR_Name', "Schicke '%link1' zu '%link2', mit Abstand (%int1,%int2) {if %int3 == 1 then return 'und warte' else return ' ' end}")
translation(1, 'OFFSET_X', 'Abstand X')
translation(1, 'OFFSET_Y', 'Abstand Y')

translation(1, 'SENDCHARRELTOOBJ', 'Character relativ zu Objekt schicken')
translation(1, 'SENDCHARRELTOOBJ_Name', "Schicke '%link1' zu '%link2', mit Abstand (%int1,%int2) {if %int3 == 1 then return 'und warte' else return ' ' end}")

-- 2 = English translations
translation(2, 'SENDCHARTORNDPOS', 'Send Character to Random Position')
translation(2, 'SENDCHARTORNDPOS_Name', "Send '%link1' to random position {if %int3 == 1 then return 'and wait' else return ' ' end}")
translation(2, 'CHAR', "Character")
translation(2, 'MAXDIST_X', "Max. X Distance")
translation(2, 'MAXDIST_Y', "Max. Y Distance")
translation(2, 'WAIT', "Wait until character stops")

translation(2, 'SENDCHARNEARPOS', 'Send Character Near Position')
translation(2, 'SENDCHARNEARPOS_Name', "Send '%link1' towards (%int1,%int2), stop %int3 away")
translation(2, 'TARGET_POSITION', "Position")
translation(2, 'DISTANCE', "Distance")

translation(2, 'SENDCHARNEAROBJ', 'Send Character Near Object')
translation(2, 'SENDCHARNEAROBJ_Name', "Send '%link1' towards '%link2', stop %int1 away {if %int3 == 1 then return 'and wait' else return ' ' end}")
translation(2, 'TARGET', "Target")

translation(2, 'SENDCHARNEARCHAR', 'Send Character Near Character')
translation(2, 'SENDCHARNEARCHAR_Name', "Send '%link1' towards '%link2', stop %int1 away {if %int3 == 1 then return 'and wait' else return ' ' end}")

translation(2, 'SENDCHARRELTOCHAR', 'Send Character Relative to Character')
translation(2, 'SENDCHARRELTOCHAR_Name', "Send '%link1' to '%link2', with offset (%int1,%int2) {if %int3 == 1 then return 'and wait' else return ' ' end}")
translation(2, 'OFFSET_X', 'X Offset')
translation(2, 'OFFSET_Y', 'Y Offset')

translation(2, 'SENDCHARRELTOOBJ', 'Send Character Relative to Object')
translation(2, 'SENDCHARRELTOOBJ_Name', "Send '%link1' to '%link2', with offset (%int1,%int2) {if %int3 == 1 then return 'and wait' else return ' ' end}")
